## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-kconfiglib
Version:        14.1.1a4
Release:        %autorelease
Summary:        A flexible Python Kconfig implementation

License:        ISC
URL:            https://github.com/zephyrproject-rtos/Kconfiglib
Source:         %{url}/archive/v%{version}/Kconfiglib-%{version}.tar.gz
Patch:          disable-failing-test.patch

BuildArch:      noarch
BuildRequires:  python3-devel
# Need to check import
BuildRequires:  python3-tkinter

%global _description %{expand:
Kconfiglib is a Kconfig implementation in Python 2/3. It started out as a
helper library, but now has a enough functionality to also work well as a
standalone Kconfig implementation (including terminal and GUI menuconfig
interfaces and Kconfig extensions).

The entire library is contained in kconfiglib.py. The bundled scripts are
implemented on top of it. Implementing your own scripts should be relatively
easy, if needed.

Kconfiglib is used exclusively by e.g. the Zephyr, esp-idf, and ACRN projects.
It is also used for many small helper scripts in various projects.

Since Kconfiglib is based around a library, it can be used e.g. to generate a
Kconfig cross-reference, using the same robust Kconfig parser used for other
Kconfig tools, instead of brittle ad-hoc parsing. The documentation generation
script can be found here.

Kconfiglib implements the recently added Kconfig preprocessor. For backwards
compatibility, environment variables can be referenced both as $(FOO) (the new
syntax) and as $FOO (the old syntax). The old syntax is deprecated, but will
probably be supported for a long time, as it's needed to stay compatible with
older Linux kernels. The major version will be increased if support is ever
dropped. Using the old syntax with an undefined environment variable keeps the
string as is.}

%description %_description

%package -n     python3-kconfiglib
Summary:        %{summary}

%description -n python3-kconfiglib %_description


%prep
%autosetup -n Kconfiglib-%{version} -p1

# Run tests in current directory
sed -i 's|Kconfiglib/tests/|tests/|g' testsuite.py
sed -i 's|SCRIPT=Kconfiglib/|SCRIPT=|g' testsuite.py
sed -i 's|os.environ["srctree"] = "Kconfiglib"|os.environ["srctree"] = ""|g' testsuite.py
sed -i 's|os.path.abspath("Kconfiglib")|os.path.abspath("")|g' testsuite.py

# Do not mark examples as executable
chmod -x examples/*.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%py3_shebang_fix %{buildroot}/%{python3_sitelib}/*.py
%pyproject_save_files kconfiglib  alldefconfig allnoconfig allmodconfig allyesconfig defconfig guiconfig genconfig listnewconfig menuconfig oldconfig olddefconfig savedefconfig setconfig



%check
%pyproject_check_import
%{python3} testsuite.py

%files -n python3-kconfiglib -f %{pyproject_files}
%{_bindir}/alldefconfig
%{_bindir}/allmodconfig
%{_bindir}/allnoconfig
%{_bindir}/allyesconfig
%{_bindir}/defconfig
%{_bindir}/genconfig
%{_bindir}/guiconfig
%{_bindir}/listnewconfig
%{_bindir}/menuconfig
%{_bindir}/oldconfig
%{_bindir}/olddefconfig
%{_bindir}/savedefconfig
%{_bindir}/setconfig
%doc examples

%changelog
## START: Generated by rpmautospec
* Sun Mar 23 2025 John Doe <packager@example.com> - 14.1.1a4-1
- Uncommitted changes
## END: Generated by rpmautospec
